## ev-view-presentation

ev-view-presentation

## Functions

GtkWidget * | ev_view_presentation_new ()
guint | ev_view_presentation_get_current_page ()

## Properties

guint | current-page | Write / Construct Only
EvDocument * | document | Write / Construct Only
gboolean | inverted-colors | Write / Construct Only
guint | rotation | Read / Write / Construct

## Signals

void | change-page | Action
void | external-link | Action
void | finished | Action

## Types and Values

| EvViewPresentation
| EvViewPresentationClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── EvViewPresentation

## Implemented Interfaces

EvViewPresentation implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ev_view_presentation_new ()

    GtkWidget *
    ev_view_presentation_new (EvDocument *document,
                              guint current_page,
                              guint rotation,
                              gboolean inverted_colors);

### ev_view_presentation_get_current_page ()

    guint
    ev_view_presentation_get_current_page (EvViewPresentation *pview);

## Types and Values

### EvViewPresentation

    typedef struct _EvViewPresentation EvViewPresentation;

### EvViewPresentationClass

    typedef struct _EvViewPresentationClass EvViewPresentationClass;

## Property Details

### The `“current-page”` property

      “current-page”             guint

The current page.

Flags: Write / Construct Only

Default value: 0

### The `“document”` property

      “document”                 EvDocument *

Document.

Flags: Write / Construct Only

### The `“inverted-colors”` property

      “inverted-colors”          gboolean

Whether presentation is displayed with inverted colors.

Flags: Write / Construct Only

Default value: FALSE

### The `“rotation”` property

      “rotation”                 guint

Current rotation angle.

Flags: Read / Write / Construct

Allowed values: <= 360

Default value: 0

## Signal Details

### The `“change-page”` signal

    void
    user_function (EvViewPresentation *evviewpresentation,
                   GtkScrollType       arg1,
                   gpointer            user_data)

Flags: Action

### The `“external-link”` signal

    void
    user_function (EvViewPresentation *evviewpresentation,
                   GObject            *arg1,
                   gpointer            user_data)

Flags: Action

### The `“finished”` signal

    void
    user_function (EvViewPresentation *evviewpresentation,
                   gpointer            user_data)

Flags: Action